A-AA+then

FCK Editor รันบน Linux ไม่ออก

1,255
หนูติดปัญหากับตัว FCK Editor  ค่ะ ไม่แน่ใจว่ามันมาจากสาเหตุที่หนูคิดหรือป่าวนะคะ

หนูใช้คำสั่ง phpinfo(); รันดู

ในเครื่อง (localshot) คือ PHP Version 5.2.3

ใน server ที่ทำงาน คือ PHP Version 5.2.6

แต่ server ลูกค้า รันออกมาแล้วได้ PHP Version 5.2.6-1+lenny10

หนูอยากรู้ว่า +lenny10 นี่อะค่ะ คือ รันบน Linux ใช่หรือไม่ค่ะ

การใช้ FCK Editor บน server Linux นั้น เราต้องไปเซตค่าอะไรเพิ่มเติม หรือว่าต้องปรับเปลี่ยนอะไรตรงไหนค่ะ

เพราะบน localhost ในเครื่อง + server ที่ทำงานมันก็ออกปกติค่ะ คือเพิ่มข้อความ แก้ไข แสดงข้อความใน FCK Editor  ได้ปกติ

แต่พอเอาไปใส่บน server ลูกค้า มันไม่สามารถทำการเพิ่ม แก้ไขข้อความได้เลยค่ะ คือค่ามันไม่ไปอะค่ะ แต่มันก็ยังเห็นเครืองมือต่างๆ

ใน FCK Editor  อยู่นะคะ ขอผู้รู้ช่วยแนะนำด้วยค่ะ ขอบคุณค่ะ (งมมาทั้งวันแล้วววว - -") 


5 ความคิดเห็น

    เพิ่มเติมอีกนิดค่ะ
    
    server ที่ทำงาน ... Windows NT VMWARE_MYSQL 5.2 build 3790
    
    server ลูกค้า ....Linux webhosting.xxx.xx.xx 2.6.26-2-amd64 #1 SMP Sun Jun 20 20:16:30 UTC 2010 x86_64

1

ปกติก็ไม่เกี่ยวนะครับ เพราะระบบที่ผมใช้ ก็สามารถใช้งานได้ตั้งแต่ php4-5 และทั้ง linux และ windows

เหตุผลที่ไม่สามารถใช้งานได้อาจเป็นไปได้หลายอย่างเช่น

1.กำหนด path ต่างๆไม่ถูกต้อง ซึ่งอาจแตกต่างกันได้ในแต่ละ Server ครับ ลองกำหนด Path ต่างๆ ตั้งแต่ root ดูครับ
2.ติด premission ลองปรับ chmod ให้โฟลเดอรทั้งหมดเป็น 777 ดูครับ (ใช้งานจริงไม่ควรใช้ค่านี้นะครับ ให้ลองหาค่าที่เหมาะสมดูด้วยตัวเอง)
3.Server ไม่สนับสนุนค่าบางอย่าง อันนี้ตอบยยาก ต้องตรวจสอบบน Server อย่างละเอียดว่ามีอะไรที่ไม่สนับสนุน

ลองเปลี่ยนเป็น CKEditor ดูมั้ยครับ มันน่าจะติดตั้งง่ายกว่า แต่การเรียกใช้ไม่เหมือนกัน อาจยุ่งยากสักนิด
2

path ต่างๆ ไม่ถูกต้องเนี่ย แล้วเราจะไปดูตรงไหนอะคะ คือหนูแก้งานให้เค้าอะคะ หนูก็ไม่แน่ใจว่า FCK editor ที่เขาใช้ตั้งแต่ต้น

มันเป็น version ไหนอะคะ(จะเกี่ยวกันรึป่าว อิอิ) หรือว่าเราจะลองลง FCK editor ใหม่ดู หรือไม่ก็ลอง CKEditor ตามที่อาจารย์แนะนำ

แต่ CKEditor จะใช้ใน IE ได้ปกติหรือป่าวค่ะ เพราะลองหาๆ ดู เขาบอกว่าใช้ใน Firefox ได้ดี แต่ใน IE อาจจะมีปัญหา - -"

แล้ว ตัว editor ตัวในบอร์ด นี้เรียกว่าอะไรคะ ขอโค้ดได้หรือป่าว 555 เอาแค่นี้ก็ได้ค่ะ เล็กๆ ใช้งานง่ายดีค่ะ หุุหุ
3

ผมใช้ CKEDDITOR ครับ ถ้าเปลี่ยนมาใช้ตัวนี้อาจต้องเปลี่ยนโค้ดกันวุ่นวายเพราะมีวิธีเรียกไม่เหมือนกัน

ส่วน FCKEditor ถ้าไม่แน่ใจ สามารถอัปเกรดได้จนถึงเวอร์ชั่นสุดท้ายของมัน จะลองอัปเกรดดูก็ได้ครับ แต่ FCKEditor จะมีปัญหาเรื่อง Path มากกว่า

คำแนะนำของผมออกจะเป็นคำแนะนำกว้างๆนะครับ เนื่องจากแจ้งรายละเอียดมาน้อย ไม่สามารถฟันธงได้ว่าเกิดจากอะไร จำเป็นต้องพิจารณาอย่างรอบคอบว่าเกิดปัญหาที่จุดไหนครับ ไม่งั้นอาจหลงทางไปไกล คำตอบของผมก็เป็นคำตอบตามที่เคยเจอครับ

CKEditor สามารถทำงานได้จนถึง iE9 ครับ แต่ FCKEditor อาจจะใช้งานได้แค่ IE8 ครับ ส่วนโค้ด ก็ให้ viewsource เว็บผมดูละกันครับ หรือ จะดาวน์โหลด GCMS ไปก็ได้ครับ ทุกอย่างมีอยู่ในน้น
4

แนะนำอีกตัว เล็กๆใช้ง่ายๆครับ ขนาด 49.1 K เบาเล็ก เีรียกใช้ง่ายครับ เป็นอีกทางเลือกนะครับ

http://nicedit.com/index.php
5
^